// Here you can add other styles
body {
  background-color: #f7f8fa;
}

/*!
 * Template Name: Pillar - Bootstrap 4 Resume/CV Template for Developers
 * Version: 1.0.1
 * Author: Xiaoying Riley
 * Copyright: 3rd Wave Media
 * Twitter: @3rdwave_themes
 * License: Creative Commons Attribution 3.0 License
 * Website: http://themes.3rdwavemedia.com/
*/

// Define theme colour scheme
$theme-color-primary: #434e5e;

$theme-text-color-primary: #434e5e;
$theme-text-color-secondary: lighten($theme-text-color-primary, 10%);
$theme-text-color-light: lighten($theme-text-color-primary, 40%);
$theme-border-color: lighten($theme-text-color-primary, 10%);
$theme-divider-color: lighten($theme-text-color-primary, 10%);
$theme-bg-light: #f7f8fa;
$theme-bg-dark: $theme-text-color-primary;

// Create variables to override the default value for variables used in the Bootstrap SCSS files.
$theme-colors: (
  "primary": $theme-color-primary,
  "secondary": $theme-text-color-secondary
);

//Import Bootstrap
@import "bootstrap/scss/bootstrap.scss";

/*************************** Pillar Styles ****************************/
body {
  font-family: "Roboto", sans-serif;
  background: $theme-bg-light;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: $theme-text-color-primary;
}

//.leaflet-container {
//  height: 500px;
//  width: 100%;
//  margin: 0 auto;
//}

#map {
  height: 100%;
  width: 100%;
}
//
//.leaflet-control-locate a {
//  font-size: 1.4em;
//  color: #444;
//  cursor: pointer;
//}
//
//.leaflet-control-locate a span {
//  line-height: 30px;
//}
//
//.leaflet-control-locate.active a {
//  color: #2074B6 !important;
//}
//
//.leaflet-control-locate.active.following a {
//  color: #FC8428 !important;
//}

.leaflet-sidebar {
  position: absolute;
  top: 0;
  bottom: 0;
  width: 100%;
  overflow: hidden;
  z-index: 2000;
}
.leaflet-sidebar.collapsed {
  width: 40px;
}
@media (min-width: 768px) {
  .leaflet-sidebar {
    top: 10px;
    bottom: 10px;
    transition: width 500ms;
  }
}
@media (min-width: 768px) and (max-width: 991px) {
  .leaflet-sidebar {
    width: 305px;
    max-width: 305px;
  }
}
@media (min-width: 992px) and (max-width: 1199px) {
  .leaflet-sidebar {
    width: 390px;
    max-width: 390px;
  }
}
@media (min-width: 1200px) {
  .leaflet-sidebar {
    width: 460px;
    max-width: 460px;
  }
}

.leaflet-sidebar-left {
  left: 0;
}
@media (min-width: 768px) {
  .leaflet-sidebar-left {
    left: 10px;
  }
}

.leaflet-sidebar-right {
  right: 0;
}
@media (min-width: 768px) {
  .leaflet-sidebar-right {
    right: 10px;
  }
}

.leaflet-sidebar-tabs {
  top: 0;
  bottom: 0;
  height: 100%;
  background-color: #fff;
}
.leaflet-sidebar-left .leaflet-sidebar-tabs {
  left: 0;
}
.leaflet-sidebar-right .leaflet-sidebar-tabs {
  right: 0;
}
.leaflet-sidebar-tabs,
.leaflet-sidebar-tabs > ul {
  position: absolute;
  width: 40px;
  margin: 0;
  padding: 0;
  list-style-type: none;
}
.leaflet-sidebar-tabs > li,
.leaflet-sidebar-tabs > ul > li {
  width: 100%;
  height: 40px;
  color: #333;
  font-size: 12pt;
  overflow: hidden;
  transition: all 80ms;
}
.leaflet-sidebar-tabs > li:hover,
.leaflet-sidebar-tabs > ul > li:hover {
  color: #000;
  background-color: #eee;
}
.leaflet-sidebar-tabs > li.active,
.leaflet-sidebar-tabs > ul > li.active {
  color: #fff;
  background-color: #0074d9;
}
.leaflet-sidebar-tabs > li.disabled,
.leaflet-sidebar-tabs > ul > li.disabled {
  color: rgba(51, 51, 51, 0.4);
}
.leaflet-sidebar-tabs > li.disabled:hover,
.leaflet-sidebar-tabs > ul > li.disabled:hover {
  background: transparent;
}
.leaflet-sidebar-tabs > li.disabled > a,
.leaflet-sidebar-tabs > ul > li.disabled > a {
  cursor: default;
}
.leaflet-sidebar-tabs > li > a,
.leaflet-sidebar-tabs > ul > li > a {
  display: block;
  width: 100%;
  height: 100%;
  line-height: 40px;
  color: inherit;
  text-decoration: none;
  text-align: center;
  cursor: pointer;
}
.leaflet-sidebar-tabs > ul + ul {
  bottom: 0;
}

.leaflet-sidebar-content {
  background-color: rgba(255, 255, 255, 0.95);
  height: 90vh;
  overflow-x: auto;
  overflow-y: auto;
}
.leaflet-sidebar-left .leaflet-sidebar-content {
  left: 40px;
  right: 0;
}
.leaflet-sidebar-right .leaflet-sidebar-content {
  left: 0;
  right: 40px;
}
.leaflet-sidebar.collapsed > .leaflet-sidebar-content {
  overflow-y: hidden;
}

.collapsed > .leaflet-sidebar-content {
  overflow-y: hidden;
}

.leaflet-sidebar-pane {
  display: none;
  left: 0;
  right: 0;
  box-sizing: border-box;
  padding: 10px 20px;
}
.leaflet-sidebar-pane.active {
  display: block;
}
@media (min-width: 768px) and (max-width: 991px) {
  .leaflet-sidebar-pane {
    min-width: 265px;
  }
}
@media (min-width: 992px) and (max-width: 1199px) {
  .leaflet-sidebar-pane {
    min-width: 350px;
  }
}
@media (min-width: 1200px) {
  .leaflet-sidebar-pane {
    min-width: 420px;
  }
}

.leaflet-sidebar-header {
  margin: -10px -20px 0;
  height: 40px;
  padding: 0 20px;
  line-height: 40px;
  font-size: 14.4pt;
  color: #fff;
  background-color: #0074d9;
}
.leaflet-sidebar-right .leaflet-sidebar-header {
  padding-left: 40px;
}

.leaflet-sidebar-close {
  position: absolute;
  top: 0;
  width: 40px;
  height: 40px;
  text-align: center;
  cursor: pointer;
}
.leaflet-sidebar-left .leaflet-sidebar-close {
  right: 0;
}
.leaflet-sidebar-right .leaflet-sidebar-close {
  left: 0;
}

.leaflet-sidebar {
  box-shadow: 0 1px 5px rgba(0, 0, 0, 0.65);
}
.leaflet-sidebar.leaflet-touch {
  box-shadow: none;
  border-right: 2px solid rgba(0, 0, 0, 0.2);
}
@media (min-width: 768px) {
  .leaflet-sidebar {
    border-radius: 4px;
  }
  .leaflet-sidebar.leaflet-touch {
    border: 2px solid rgba(0, 0, 0, 0.2);
  }
}

@media (min-width: 768px) {
  .leaflet-sidebar-left ~ .leaflet-control-container .leaflet-left {
    transition: left 500ms;
  }
}

@media (min-width: 768px) and (max-width: 991px) {
  .leaflet-sidebar-left ~ .leaflet-control-container .leaflet-left {
    left: 315px;
  }
}

@media (min-width: 992px) and (max-width: 1199px) {
  .leaflet-sidebar-left ~ .leaflet-control-container .leaflet-left {
    left: 400px;
  }
}

@media (min-width: 1200px) {
  .leaflet-sidebar-left ~ .leaflet-control-container .leaflet-left {
    left: 470px;
  }
}

@media (min-width: 768px) {
  .leaflet-sidebar-left.collapsed ~ .leaflet-control-container .leaflet-left {
    left: 50px;
  }
}

@media (min-width: 768px) {
  .leaflet-sidebar-right ~ .leaflet-control-container .leaflet-right {
    transition: right 500ms;
  }
}

@media (min-width: 768px) and (max-width: 991px) {
  .leaflet-sidebar-right ~ .leaflet-control-container .leaflet-right {
    right: 315px;
  }
}

@media (min-width: 992px) and (max-width: 1199px) {
  .leaflet-sidebar-right ~ .leaflet-control-container .leaflet-right {
    right: 400px;
  }
}

@media (min-width: 1200px) {
  .leaflet-sidebar-right ~ .leaflet-control-container .leaflet-right {
    right: 470px;
  }
}

@media (min-width: 768px) {
  .leaflet-sidebar-right.collapsed ~ .leaflet-control-container .leaflet-right {
    right: 50px;
  }
}
